From: "Bernard Cafarelli" <voyageur@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: net-analyzer/wapiti/
Date: Fri, 5 Mar 2021 16:41:02 +0000 (UTC) [thread overview]
Message-ID: <1614962459.b1f8a27e233137bcf03cd92c2d0e4cec13563920.voyageur@gentoo> (raw)
commit: b1f8a27e233137bcf03cd92c2d0e4cec13563920
Author: Bernard Cafarelli <voyageur <AT> gentoo <DOT> org>
AuthorDate: Fri Mar 5 16:40:48 2021 +0000
Commit: Bernard Cafarelli <voyageur <AT> gentoo <DOT> org>
CommitDate: Fri Mar 5 16:40:59 2021 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b1f8a27e
net-analyzer/wapiti: skip tests in installation
Also restrict tests for now, new ones require php webserver local
execution
Closes: https://bugs.gentoo.org/774300
Package-Manager: Portage-3.0.16, Repoman-3.0.2
Signed-off-by: Bernard Cafarelli <voyageur <AT> gentoo.org>
net-analyzer/wapiti/wapiti-3.0.4.ebuild | 9 ++++++++-
net-analyzer/wapiti/wapiti-9999.ebuild | 8 ++++++--
2 files changed, 14 insertions(+), 3 deletions(-)
diff --git a/net-analyzer/wapiti/wapiti-3.0.4.ebuild b/net-analyzer/wapiti/wapiti-3.0.4.ebuild
index 37fdae6f81a..4363743763e 100644
--- a/net-analyzer/wapiti/wapiti-3.0.4.ebuild
+++ b/net-analyzer/wapiti/wapiti-3.0.4.ebuild
@@ -28,9 +28,16 @@ RDEPEND="dev-python/beautifulsoup:4[${PYTHON_USEDEP}]
kerberos? ( dev-python/requests-kerberos[${PYTHON_USEDEP}] )
ntlm? ( dev-python/requests-ntlm[${PYTHON_USEDEP}] )"
+distutils_enable_tests --install pytest
+BDEPEND+=" test? ( dev-python/responses[${PYTHON_USEDEP}] )"
+# Many tests require execution of local test php server
+RESTRICT="test"
+
S=${WORKDIR}/${MY_P}
python_prepare_all() {
- sed -e 's/"pytest-runner"//' -i setup.py || die
+ sed -e 's/"pytest-runner"//' \
+ -e "/find_packages/s/()/(exclude=['tests*'])/" \
+ -i setup.py || die
distutils-r1_python_prepare_all
}
diff --git a/net-analyzer/wapiti/wapiti-9999.ebuild b/net-analyzer/wapiti/wapiti-9999.ebuild
index 53a705934cd..53d40bbaa97 100644
--- a/net-analyzer/wapiti/wapiti-9999.ebuild
+++ b/net-analyzer/wapiti/wapiti-9999.ebuild
@@ -27,10 +27,14 @@ RDEPEND="dev-python/beautifulsoup:4[${PYTHON_USEDEP}]
kerberos? ( dev-python/requests-kerberos[${PYTHON_USEDEP}] )
ntlm? ( dev-python/requests-ntlm[${PYTHON_USEDEP}] )"
-distutils_enable_tests pytest
+distutils_enable_tests --install pytest
BDEPEND+=" test? ( dev-python/responses[${PYTHON_USEDEP}] )"
+# Many tests require execution of local test php server
+RESTRICT="test"
python_prepare_all() {
- sed -e 's/"pytest-runner"//' -i setup.py || die
+ sed -e 's/"pytest-runner"//' \
+ -e "/find_packages/s/()/(exclude=['tests*'])/" \
+ -i setup.py || die
distutils-r1_python_prepare_all
}
next reply other threads:[~2021-03-05 16:41 UTC|newest]
Thread overview: 32+ messages / expand[flat|nested] mbox.gz Atom feed top
2021-03-05 16:41 Bernard Cafarelli [this message]
-- strict thread matches above, loose matches on Subject: below --
2025-01-03 23:40 [gentoo-commits] repo/gentoo:master commit in: net-analyzer/wapiti/ Bernard Cafarelli
2024-04-14 21:09 Bernard Cafarelli
2023-03-07 15:53 Bernard Cafarelli
2023-03-07 15:53 Bernard Cafarelli
2023-02-09 23:27 Bernard Cafarelli
2023-02-01 23:47 Bernard Cafarelli
2023-02-01 23:47 Bernard Cafarelli
2023-02-01 23:47 Bernard Cafarelli
2022-09-07 7:52 Michał Górny
2022-07-10 12:55 Bernard Cafarelli
2022-07-03 22:49 Bernard Cafarelli
2022-07-03 22:49 Bernard Cafarelli
2021-10-02 8:59 Bernard Cafarelli
2021-10-02 8:59 Bernard Cafarelli
2021-07-06 11:37 Bernard Cafarelli
2021-03-05 9:01 Bernard Cafarelli
2020-11-08 15:30 Bernard Cafarelli
2020-04-20 10:29 Bernard Cafarelli
2020-04-19 23:01 Bernard Cafarelli
2020-04-19 23:01 Bernard Cafarelli
2020-03-25 9:39 Michał Górny
2020-02-21 14:11 Bernard Cafarelli
2019-12-10 13:08 Bernard Cafarelli
2019-12-10 12:31 Bernard Cafarelli
2019-12-10 12:22 Bernard Cafarelli
2019-09-24 23:20 Bernard Cafarelli
2019-09-24 12:56 Bernard Cafarelli
2018-07-24 13:16 Bernard Cafarelli
2018-07-24 13:16 Bernard Cafarelli
2018-01-09 13:40 Bernard Cafarelli
2016-10-30 20:05 Sven Wegener
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1614962459.b1f8a27e233137bcf03cd92c2d0e4cec13563920.voyageur@gentoo \
--to=voyageur@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox